#ifndef vector_h
#define vector_h

typedef struct
	{
	int size;
	int limit;
	void ** items;
	int vecInc;
	} Vector;

#define setVectorAutoResize(vec, index, item) \
(((index) < (vec)->limit ? \
 ((index) < (vec)->size \
	? (void)0 : (void)((vec)->size = (index) + 1)) \
	: \
 (void)resizeVec((vec), (index) + 1)), \
 ((vec)->items[(index)] = (item)))

#define setVector(vec, index, item) \
 ((vec)->items[(index)] = (item))

#define vecSize(vec) ((vec)->size)

#define getVector(vec, index) ((vec)->items[(index)])



void newVector(Vector * vec, int size);
void freeVector(Vector * vec);
void resizeVec(Vector * vec, int size);
void insertVector(Vector * vec, int pos, void * obj);
void getVectorFile(Vector * vec, char * filename);



#endif
